org.vishia.gral.ifc

## Class GralActionJztc.Action

- java.lang.Object
- - org.vishia.gral.ifc.GralUserAction
  - - org.vishia.gral.ifc.GralActionJztc.Action

- Enclosing class:
    GralActionJztc

      private class GralActionJztc.Action
      extends GralUserAction

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) JZtxtcmdScript.Subroutine` | `jzsub`

    - ### Fields inherited from class org.vishia.gral.ifc.GralUserAction

      `name, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action(JZtxtcmdScript.Subroutine jzsub)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `exec(int key, GralWidget_ifc widgd, java.lang.Object... params)` This method should be override by the users class.

    - ### Methods inherited from class org.vishia.gral.ifc.GralUserAction

      `toString, userActionGui, userActionGui`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### jzsub

          JZtxtcmdScript.Subroutine jzsub

  - ### Constructor Detail

    - #### Action

          Action(JZtxtcmdScript.Subroutine jzsub)

  - ### Method Detail

    - #### exec

          public boolean exec(int key,
                              GralWidget_ifc widgd,
                              java.lang.Object... params)

      Description copied from class: `GralUserAction`
      This method should be override by the users class. In the implementation the user can cast from the widgd given as interface to the known implementation widget type because the `GralUserAction` is associated to a specific widget.
      If this method is not overridden from the `GralUserAction` super class, it tries to call the deprecated `GralUserAction.userActionGui(int, GralWidget, Object...)` because that method may be overridden.
      Overrides:
        `exec` in class `GralUserAction`
      Parameters:
        `key` - See `KeyCode`. Any special action is designated with 0.
        `widgd` - The Gral which calls this method in any of its implementation methods. This parameter designates the source of the call with some specific properties in the widget. For example ((GralWidget)widgd).getCmd() can be invoked.
        `params` - Some optional values, depending on special user designation. In most cases no parameter. The user may be test the type of parameter for complex usage.
      Returns:
        true if execution is succeed. false if the users application can't deal with the actionCode or the widget.